## phabricator 0~git20150211

=== support/xhpast/Makefile ===
ifdef DEBUG
CPPFLAGS = -fPIC -ggdb -Wall -DDEBUG
else
CPPFLAGS = -fPIC -g -Wall -O3 -minline-all-stringops
endif

ifdef PROFILE
CPPFLAGS += -pg
endif

ifdef STATIC
CPPFLAGS += -static
endif

ifdef MSYSTEM
CPPFLAGS += -static-libgcc -static-libstdc++
endif

ROOT = ../../src/parser/xhpast

all: xhpast

clean:
	-rm xhpast parser.yacc.output libxhpast.a *.o 2>/dev/null

cleanall: clean
	-rm scanner.lex.cpp scanner.lex.hpp parser.yacc.cpp parser.yacc.hpp

install: xhpast
	cp xhpast $(ROOT)/bin/xhpast

scanner: scanner.l
	flex -C --header-file=scanner.lex.hpp -o scanner.lex.cpp -d $<
	echo '/* @gen''er''ated */' >> scanner.lex.cpp
	echo '/* @gen''er''ated */' >> scanner.lex.hpp

parser: parser.y
	bison --debug --verbose -d -o parser.yacc.cpp $<
	echo '/* @gen''er''ated */' >> parser.yacc.cpp
	echo '/* @gen''er''ated */' >> parser.yacc.hpp

node_names.hpp: generate_nodes.php
	php -f generate_nodes.php
	cp parser_nodes.php $(ROOT)/

%.o: %.cpp
	$(CXX) -c $(CPPFLAGS) -o $@ $<

needparserscanner:
	 @([ -e parser.yacc.hpp ] && [ -e parser.yacc.cpp ] && \
	   [ -e scanner.lex.hpp ] && [ -e scanner.lex.cpp ]) \
		|| (echo "Run 'make parser scanner' first.'" && exit 1)

parser.yacc.o: needparserscanner scanner.lex.hpp

scanner.lex.o: needparserscanner parser.yacc.hpp node_names.hpp scanner.lex.hpp

libxhpast.a: astnode.o scanner.lex.o parser.yacc.o
	$(AR) -crs $@ $^

xhpast: xhpast.cpp libxhpast.a
	$(CXX) $(CPPFLAGS) -o $@ $^

.PHONY: all clean

=== debian/changelog ===
phabricator (0~git20150211-1) unstable; urgency=medium

  * New snapshot release
  * updated german translation
  * fixed daemons not starting with unprivileged user

 -- Richard Sellam <richard.sellam@orvidia.fr>  Wed, 11 Feb 2015 14:13:38 +0100

phabricator (0~git20150129-2) unstable; urgency=medium

  * properly clean on purge (closes: #776666)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sat, 31 Jan 2015 08:16:29 +0100

phabricator (0~git20150129-1) unstable; urgency=medium

  * New snapshot release
  * restricted access to local config file (closes: #775479)
  * moved local config file to /var/lib/phabricator (closes: #775478)
  * switched mysql-server dependency to recommends (closes: #773536)
  * use /run instead of /var/run (closes: #775803)
  * prevent package reinstall from overwritting local changes (closes: #776288)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Thu, 29 Jan 2015 00:15:58 +0100

phabricator (0~git20141130-1) unstable; urgency=medium

  * New upstream version
  * avoid mysql configuration in postinst if no credential provided
    (closes: #769534)
  * added portuguese to debconf translations (closes: #769615)
  * added german to debconf translations (closes: #768965)
  * added logrotate on phd log files
  * fixed po-debconf messages inconsistencies (closes: #768201)
  * added dutch to debconf translations (closes: #771597)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sun, 30 Nov 2014 23:52:12 +0100

phabricator (0~git20141101-1) unstable; urgency=medium

  * New upstream version
  * renamed translation po files so that they are used (closes: #767636)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sat, 01 Nov 2014 23:20:06 +0100

phabricator (0~git20141023-2) unstable; urgency=medium

  * arc & arcanist are conflicting. Make them conflict for real
    (Closes: #766955)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Oct 2014 13:53:09 +0100

phabricator (0~git20141023-1) unstable; urgency=medium

  * Initial release (closes: #703046)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Thu, 23 Oct 2014 20:49:26 +0200

=== debian/control ===
Source: phabricator
Section: web
Priority: optional
Maintainer: Richard Sellam <richard.sellam@orvidia.fr>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 3.9.6
Homepage: http://phabricator.org/
Vcs-Browser: https://github.com/lenios/phabricator
Vcs-Git: git://github.com/lenios/phabricator.git

Package: libphutil
Architecture: all
Depends: ${misc:Depends}
Recommends: php5-cli
Description: Shared library for Arcanist and Phabricator
 libphutil (pronounced as "lib-futile", like the English word futile)
 is principally the shared library for Arcanist and Phabricator,
 but is suitable for inclusion in other projects.
 In particular, some of the classes provided in this library improve the state
 of common operations in PHP, like executing system commands.


Package: arcanist
Architecture: all
Depends: libphutil, php5-cli, php5-curl, ${misc:Depends}
Conflicts: arc
Suggests: python
Description: Command line interface for Phabricator (review platform)
 Arcanist is the command-line tool for Phabricator. It allows you to interact
 with Phabricator installs to send code for review, download patches, transfer
 files, view status, make API calls, and various other things.

Package: phabricator
Architecture: all
Depends: arcanist,
         dbconfig-common (>= 1.8.8),
         fonts-font-awesome,
         jq,
         libapache2-mod-php5 | libapache2-mod-php5filter | php5,
         libjs-raphael,
         libphutil,
         php5-cli,
         php5-curl,
         php5-mysql | php5-mysqli,
         po-debconf,
         ucf,
         ${misc:Depends}
Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
Suggests: flashplugin-nonfree, python
Description: Software engineering platform
 Phabricator is an open source collection of web applications which make it
 easier to write, review, and share source code.
 .
 Features:
  * Review Code: Review others' code with Differential
  * Track Bugs: You can keep track of all the defects,
    and problems in your awful software with Maniphest.
  * Browse Source: You can browse source code on the web with Diffusion
  * Wiki: You can write things down in Phriction
  * ... and others

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=.gitignore:LICENSE

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = "phabricator"
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@

override_dh_clean:
	debconf-updatepo
	dh_clean

ARCANIST = git://github.com/phacility/arcanist.git
LIBPHUTIL = git://github.com/phacility/libphutil.git
PHABRICATOR = git://github.com/phacility/phabricator.git
UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" $(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
get-orig-source: $(info I: UDATE=$(UDATE))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	mkdir -p phabricator-$(VER)/
	git clone $(ARCANIST) arcanist-$(VER)
	git clone $(LIBPHUTIL) libphutil-$(VER)
	git clone $(PHABRICATOR) phabricator-$(VER)/phabricator
	for P in arcanist-$(VER) libphutil-$(VER) phabricator-$(VER)/phabricator; do \
		cd $$P && git checkout $$(git log -n1 --format=%h --before="$(UDATE)") && cd -; \
	done
	echo "# Copying git revision number..."
	cd phabricator-$(VER); echo "based on git revision $$(git log -n1 --format=%H)." > phabricator/conf/local/VERSION; cd ..
	echo "# Cleaning-up..."
	$(RM) -r -v libphutil-$(VER)/src/parser/xhpast/bin/xhpast.exe
	$(RM) -r -v arcanist-$(VER)/bin/arc.bat
	cd phabricator-$(VER)/phabricator/ && \
	$(RM) -r -v webroot/rsrc/swf \
		externals/twilio-php/docs \
	    externals/wordlist \
	    webroot/rsrc/externals/font/fontawesome \
	    webroot/rsrc/externals/font/sourcesans \
	    webroot/rsrc/externals/raphael
	$(RM) -r arcanist-$(VER)/.git* libphutil-$(VER)/.git* phabricator-$(VER)/phabricator/.git*
	@echo "# Packing..."
	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig.tar.xz phabricator-$(VER)
	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig-arcanist.tar.xz arcanist-$(VER)
	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig-libphutil.tar.xz libphutil-$(VER)
	rm -rf phabricator-$(VER) arcanist-$(VER) libphutil-$(VER)

## phabricator 0~git20150803

=== support/xhpast/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ifdef DEBUG
 CPPFLAGS = -fPIC -ggdb -Wall -DDEBUG
 else
-CPPFLAGS = -fPIC -g -Wall -O3 -minline-all-stringops
+CPPFLAGS = -fPIC -Wall -O3 -minline-all-stringops
 endif
 
 ifdef PROFILE

=== debian/changelog ===
phabricator (0~git20150803-1) unstable; urgency=medium

  * New snapshot release (closes: #789760)
  * renamed arcanist bash-completion file (closes: #791632)
  * depends on same version for libphutil (closes: #794462)
  * added php5-mysqlnd alternative depends (closes: #792136)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Mon, 03 Aug 2015 23:28:35 +0200

phabricator (0~git20150613-1) unstable; urgency=medium

  * New snapshot release (closes: #787805)
  * fixed typo in logrotate script (closes: #787645)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sat, 13 Jun 2015 10:52:10 +0200

phabricator (0~git20150525-1) unstable; urgency=medium

  * New snapshot release
  * fix update postinst when using nginx (closes: #784221)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Mon, 25 May 2015 22:45:19 +0200

phabricator (0~git20150428-1) unstable; urgency=medium

  * New snapshot release
  * fixed nginx configuration (closes: #779705)
  * start mysql before phd daemons, if available (closes: #780260, #780265)
  * fixed log files permissions (closes: #781825)
  * added spanish translation (closes: #783566)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Tue, 28 Apr 2015 03:01:19 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: arcanist
 Architecture: all
-Depends: libphutil, php5-cli, php5-curl, ${misc:Depends}
+Depends: libphutil (= ${source:Version}), php5-cli, php5-curl, ${misc:Depends}
 Conflicts: arc
 Suggests: python
 Description: Command line interface for Phabricator (review platform)
@@ -37,17 +37,17 @@
          dbconfig-common (>= 1.8.8),
          fonts-font-awesome,
          jq,
-         libapache2-mod-php5 | libapache2-mod-php5filter | php5,
+         libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
          libjs-raphael,
-         libphutil,
+         libphutil (= ${source:Version}),
          php5-cli,
          php5-curl,
-         php5-mysql | php5-mysqli,
+         php5-mysql | php5-mysqli | php5-mysqlnd,
          po-debconf,
          ucf,
          ${misc:Depends}
 Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
-Suggests: flashplugin-nonfree, python
+Suggests: python, npm
 Description: Software engineering platform
  Phabricator is an open source collection of web applications which make it
  easier to write, review, and share source code.

## phabricator 0~git20160124

=== phabricator/externals/twilio-php/Makefile ===
# Twilio API helper library.
# See LICENSE file for copyright and license details.

define LICENSE
<?php

/**
 * Twilio API helper library.
 *
 * @category  Services
 * @package   Services_Twilio
 * @author    Neuman Vong <neuman@twilio.com>
 * @license   http://creativecommons.org/licenses/MIT/ MIT
 * @link      http://pear.php.net/package/Services_Twilio
 */
endef
export LICENSE

COMPOSER = $(shell which composer)
ifeq ($(strip $(COMPOSER)),)
	COMPOSER = php composer.phar
endif

all: test

clean:
	@rm -rf dist venv

PHP_FILES = `find dist -name \*.php`
dist: clean
	@mkdir dist
	@git archive master | (cd dist; tar xf -)
	@for php in $(PHP_FILES); do\
	  echo "$$LICENSE" > $$php.new; \
	  tail -n+2 $$php >> $$php.new; \
	  mv $$php.new $$php; \
	done

test-install:
	# Composer: http://getcomposer.org/download/
	$(COMPOSER) install

install:
	pear channel-discover twilio.github.com/pear
	pear install twilio/Services_Twilio

# if these fail, you may need to install the helper library - run "make
# test-install"
test:
	@PATH=vendor/bin:$(PATH) phpunit --strict --colors --configuration tests/phpunit.xml;

venv:
	virtualenv venv

docs-install: venv
	. venv/bin/activate; pip install -r docs/requirements.txt

docs:
	. venv/bin/activate; cd docs && make html

release-install:
	pear channel-discover twilio.github.com/pear || true
	pear channel-discover pear.pirum-project.org || true
	pear install pirum/Pirum || true
	pear install XML_Serializer-0.20.2 || true
	pear install PEAR_PackageFileManager2 || true

authors:
	echo "Authors\n=======\n\nA huge thanks to all of our contributors:\n\n" > AUTHORS.md
	git log --raw | grep "^Author: " | cut -d ' ' -f2- | cut -d '<' -f1 | sed 's/^/- /' | sort | uniq >> AUTHORS.md

.PHONY: all clean dist test docs docs-install test-install authors

=== debian/changelog ===
phabricator (0~git20160124-1ubuntu1) xenial; urgency=medium

  * Update references to php7.0 packages (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 12 Feb 2016 15:31:33 -0800

phabricator (0~git20160124-1) unstable; urgency=medium

  * New snapshot release
  * Updated debian/copyright
  * Provide a more complete manpage for arcanist (closes: #812210)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sun, 24 Jan 2016 00:19:32 +0100

phabricator (0~git20150906-1) unstable; urgency=medium

  * New snapshot release
  * use dpkg-statoverride in postinst/postrm (closes: #792140)
  * fixed apache config file for php-fpm (closes: #795256)
  * removed debian patch as it is no longer needed

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sun, 06 Sep 2015 15:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: phabricator
 Section: web
 Priority: optional
-Maintainer: Richard Sellam <richard.sellam@orvidia.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Richard Sellam <richard.sellam@orvidia.fr>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 3.9.6
@@ -12,7 +13,7 @@
 Package: libphutil
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: php5-cli
+Recommends: php-cli
 Description: Shared library for Arcanist and Phabricator
  libphutil (pronounced as "lib-futile", like the English word futile)
  is principally the shared library for Arcanist and Phabricator,
@@ -23,7 +24,7 @@
 
 Package: arcanist
 Architecture: all
-Depends: libphutil (= ${source:Version}), php5-cli, php5-curl, ${misc:Depends}
+Depends: libphutil (= ${source:Version}), php-cli, php-curl, ${misc:Depends}
 Conflicts: arc
 Suggests: python
 Description: Command line interface for Phabricator (review platform)
@@ -37,16 +38,16 @@
          dbconfig-common (>= 1.8.8),
          fonts-font-awesome,
          jq,
-         libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
+         libapache2-mod-php | libapache2-mod-phpfilter | php-fpm | php,
          libjs-raphael,
          libphutil (= ${source:Version}),
-         php5-cli,
-         php5-curl,
-         php5-mysql | php5-mysqli | php5-mysqlnd,
+         php-cli,
+         php-curl,
+         php-mysql | php-mysqli | php-mysqlnd,
          po-debconf,
          ucf,
          ${misc:Depends}
-Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
+Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php-apcu, php-gd, mariadb-server | mysql-server
 Suggests: python, npm
 Description: Software engineering platform
  Phabricator is an open source collection of web applications which make it

=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,9 @@
 	echo "# Cleaning-up..."
 	$(RM) -r -v libphutil-$(VER)/src/parser/xhpast/bin/xhpast.exe
 	$(RM) -r -v arcanist-$(VER)/bin/arc.bat
+	@mv arcanist-$(VER)/resources/shell/bash-completion arcanist-$(VER)/resources/shell/arcanist.bash-completion
 	cd phabricator-$(VER)/phabricator/ && \
-	$(RM) -r -v webroot/rsrc/swf \
-		externals/twilio-php/docs \
+	$(RM) -r -v externals/twilio-php/docs \
 	    externals/wordlist \
 	    webroot/rsrc/externals/font/fontawesome \
 	    webroot/rsrc/externals/font/sourcesans \

## phabricator 0~git20160726

=== debian/changelog ===
phabricator (0~git20160726-3) unstable; urgency=medium

  * Don't build Phabricator package.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 09 Jan 2017 14:26:10 +0100

phabricator (0~git20160726-2) unstable; urgency=medium

  [ Baptiste Jammet ]
  * Update French debconf translation.

  [ Andrew Shadura ]
  * Update dependencies to make sure phabricator isn't installable on
    anything but php5, but arcanist is installable regardless.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 02 Jan 2017 20:08:07 +0100

phabricator (0~git20160726-1) unstable; urgency=medium

  [ Richard Sellam ]
  * New snapshot release
  * Added Brazilian Portuguese translation (closes: #816951)
  * Replaced g.raphael with d3 3.5.14 (upstream change).
  * Added Danish translation (closes: #830654)

  [ Andrew Shadura ]
  * New maintainer (Closes: #836668).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 24 Oct 2016 16:39:06 +0200

phabricator (0~git20160124-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove triggers added by the previous upload.

 -- Andrew Shadura <andrew.shadura@collabora.co.uk>  Sat, 22 Oct 2016 23:11:34 +0200

phabricator (0~git20160124-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add triggers to rebuild the phutil library map in Arcanist,
    necessary to support extending Arcanist with external code.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 21 Oct 2016 20:53:32 +0200

phabricator (0~git20160124-1.1) unstable; urgency=medium

  [ Andrew Shadura ]
  * Non-maintainer upload.
  * Regenerate the manual page.

  [ Nishanth Aravamudan ]
  * Update references to php7.0 packages (LP: #1544352, Closes: #821472,
    #821543).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 28 Sep 2016 22:45:18 +0200

=== debian/control ===
Source: phabricator
Section: web
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Uploaders:
 Richard Sellam <richard.sellam@orvidia.fr>,
 Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 3.9.8
Homepage: http://phabricator.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phabricator.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/phabricator.git

Package: libphutil
Architecture: all
Depends: ${misc:Depends}
Recommends: php-cli | php5-cli
Description: Shared library for Arcanist and Phabricator
 libphutil (pronounced as "lib-futile", like the English word futile)
 is principally the shared library for Arcanist and Phabricator,
 but is suitable for inclusion in other projects.
 In particular, some of the classes provided in this library improve the state
 of common operations in PHP, like executing system commands.

Package: arcanist
Architecture: all
Depends: libphutil (= ${source:Version}), php-cli | php5-cli, php-curl | php5-curl, ${misc:Depends}
Conflicts: arc
Suggests: python
Description: Command line interface for Phabricator (review platform)
 Arcanist is the command-line tool for Phabricator. It allows you to interact
 with Phabricator installs to send code for review, download patches, transfer
 files, view status, make API calls, and various other things.

Package: phabricator
Architecture: all
Depends: arcanist,
         dbconfig-common (>= 1.8.8),
         fonts-font-awesome,
         jq,
         libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
         libjs-d3,
         libphutil (= ${source:Version}),
         php5-cli,
         php5-curl,
         php5-mysql | php5-mysqli | php5-mysqlnd,
         po-debconf,
         ucf,
         ${misc:Depends}
Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
Suggests: python, npm
Description: Software engineering platform
 Phabricator is an open source collection of web applications which make it
 easier to write, review, and share source code.
 .
 Features:
  * Review Code: Review others' code with Differential
  * Track Bugs: You can keep track of all the defects,
    and problems in your awful software with Maniphest.
  * Browse Source: You can browse source code on the web with Diffusion
  * Wiki: You can write things down in Phriction
  * ... and others

## phabricator 0~git20170812

=== debian/changelog ===
phabricator (0~git20170812-1) unstable; urgency=medium

  * New snapshot release
    - fix the arc stop issue (Closes: #797194)
  * Add the missing dependency on php-xml & php-curl from libphutil
    (Closes: #847306)
  * Fix spelling-error-in-readme-debian refered referred
  * Standards-Version updated to 4.0.0
  * Fix package-installs-into-obsolete-dir (bash completion)
  * Force LANG=C for svn to avoid some parsing error
    Stole here https://secure.phabricator.com/D16596
  * Update the dep to mysql (Closes: #848462)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Aug 2017 20:26:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Richard Sellam <richard.sellam@orvidia.fr>,
  Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://phabricator.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phabricator.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/phabricator.git
 
 Package: libphutil
 Architecture: all
-Depends: ${misc:Depends}
+Depends: php-xml, ${misc:Depends}
 Recommends: php-cli | php5-cli
 Description: Shared library for Arcanist and Phabricator
  libphutil (pronounced as "lib-futile", like the English word futile)
@@ -47,7 +47,7 @@
          po-debconf,
          ucf,
          ${misc:Depends}
-Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
+Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server 
 Suggests: python, npm
 Description: Software engineering platform
  Phabricator is an open source collection of web applications which make it

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
-	dh $@
+	dh $@ -Nphabricator
 
 override_dh_clean:
 	debconf-updatepo
@@ -43,10 +43,20 @@
 	    externals/wordlist \
 	    webroot/rsrc/externals/font/fontawesome \
 	    webroot/rsrc/externals/font/sourcesans \
-	    webroot/rsrc/externals/raphael
+	    webroot/rsrc/externals/d3
 	$(RM) -r arcanist-$(VER)/.git* libphutil-$(VER)/.git* phabricator-$(VER)/phabricator/.git*
 	@echo "# Packing..."
 	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig.tar.xz phabricator-$(VER)
 	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig-arcanist.tar.xz arcanist-$(VER)
 	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig-libphutil.tar.xz libphutil-$(VER)
 	rm -rf phabricator-$(VER) arcanist-$(VER) libphutil-$(VER)
+
+generate-manpage: debian/arc.1
+
+debian/arc.pod: debian/arc.cat1
+	debian/cat2pod < $< > $@
+
+debian/arc.1: debian/arc.pod
+	pod2man -r "" -c "User Commands" $< $@
+
+.PHONY: override_dh_clean get-orig-source generate-manpage

## phabricator 0~git20180509

=== debian/changelog ===
phabricator (0~git20180509-2) unstable; urgency=medium

  * Add missing dependency on php-xml.
    Thanks to Simon Tatham (Closes: #897302)
  * Remove Andrew from the maintainer.
  * Standards-Version: 4.1.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 13 May 2018 18:24:46 +0200

phabricator (0~git20180509-1) unstable; urgency=medium

  * New snapshot release
  * Fix the puppet-line issue (Closes: #878157)
  * Add the russian translation. Thanks to Lev Lamberov for the patch
    (Closes: #883330)
  * Package moved to salsa
  * Standards-Version updated to 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 May 2018 09:57:57 +0200

=== debian/control ===
Source: phabricator
Section: web
Priority: optional
Maintainer:  Sylvestre Ledru <sylvestre@debian.org>
Uploaders:
 Richard Sellam <richard.sellam@orvidia.fr>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 4.1.4
Homepage: http://phabricator.org/
Vcs-Browser: https://salsa.debian.org/debian/phabricator
Vcs-Git: https://salsa.debian.org/debian/phabricator.git

Package: libphutil
Architecture: all
Depends: php-xml, ${misc:Depends}
Recommends: php-cli | php5-cli
Description: Shared library for Arcanist and Phabricator
 libphutil (pronounced as "lib-futile", like the English word futile)
 is principally the shared library for Arcanist and Phabricator,
 but is suitable for inclusion in other projects.
 In particular, some of the classes provided in this library improve the state
 of common operations in PHP, like executing system commands.

Package: arcanist
Architecture: all
Depends: libphutil (= ${source:Version}), php-cli | php5-cli, php-curl | php5-curl, ${misc:Depends},
 php-xml
Conflicts: arc
Suggests: python
Description: Command line interface for Phabricator (review platform)
 Arcanist is the command-line tool for Phabricator. It allows you to interact
 with Phabricator installs to send code for review, download patches, transfer
 files, view status, make API calls, and various other things.

# Package: phabricator
# Architecture: all
# Depends: arcanist,
#          dbconfig-common (>= 1.8.8),
#          fonts-font-awesome,
#          jq,
#          libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
#          libjs-d3,
#          libphutil (= ${source:Version}),
#          php5-cli,
#          php5-curl,
#          php5-mysql | php5-mysqli | php5-mysqlnd,
#          po-debconf,
#          ucf,
#          ${misc:Depends}
# Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server 
# Suggests: python, npm
# Description: Software engineering platform
#  Phabricator is an open source collection of web applications which make it
#  easier to write, review, and share source code.
#  .
#  Features:
#   * Review Code: Review others' code with Differential
#   * Track Bugs: You can keep track of all the defects,
#     and problems in your awful software with Maniphest.
#   * Browse Source: You can browse source code on the web with Diffusion
#   * Wiki: You can write things down in Phriction
#   * ... and others

## phabricator 0~git20190207

=== debian/changelog ===
phabricator (0~git20190207-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Feb 2019 14:01:34 +0100

## phabricator 0~git20200925

=== phabricator/externals/figlet/Makefile ===
# Makefile for figlet version 2.2.4 (26 Jan 2011)
# adapted from Makefile for figlet version 2.2.2 (05 July 2005)
# adapted from Makefile for figlet version 2.2 (15 Oct 1996)
# Copyright 1993, 1994,1995 Glenn Chappell and Ian Chai
# Copyright 1996, 1997, 1998, 1999, 2000, 2001 John Cowan
# Copyright 2002 Christiaan Keet
# Copyright 2011 Claudio Matsuoka

# Please notice that to follow modern standards and ease third-party
# package creation, binaries are now installed under BINDIR, and DESTDIR
# is reserved for the installation pathname prefix.
#
# Please make sure BINDIR, MANDIR, DEFAULTFONTDIR and
#   DEFAULTFONTFILE are defined to reflect the situation
#   on your computer.  See README for details.

# Don't change this even if your shell is different. The only reason
# for changing this is if sh is not in the same place.
SHELL = /bin/sh

# The C compiler and linker to use
CC	= gcc
CFLAGS	= -g -O2 -Wall -Wno-unused-value
LD	= gcc
LDFLAGS =

# Feature flags:
#   define TLF_FONTS to use TOIlet TLF fonts
XCFLAGS	= -DTLF_FONTS

# Where to install files
prefix	= /usr/local

# Where the executables should be put
BINDIR	= $(prefix)/bin

# Where the man page should be put
MANDIR	= $(prefix)/man

# Where figlet will search first for fonts (the ".flf" files).
DEFAULTFONTDIR = $(prefix)/share/figlet
# Use this definition if you can't put things in $(prefix)/share/figlet
#DEFAULTFONTDIR = fonts

# The filename of the font to be used if no other is specified,
#   without suffix.(standard is recommended, but any other can be
#   used). This font file should reside in the directory specified
#   by DEFAULTFONTDIR.
DEFAULTFONTFILE = standard

##
##  END OF CONFIGURATION SECTION
##

VERSION	= 2.2.5
DIST	= figlet-$(VERSION)
OBJS	= figlet.o zipio.o crc.o inflate.o utf8.o
BINS	= figlet chkfont figlist showfigfonts
MANUAL	= figlet.6 chkfont.6 figlist.6 showfigfonts.6
DFILES	= Makefile Makefile.tc $(MANUAL) $(OBJS:.o=.c) chkfont.c getopt.c \
	  figlist showfigfonts CHANGES FAQ README LICENSE figfont.txt \
	  crc.h inflate.h zipio.h utf8.h run-tests.sh figmagic

.c.o:
	$(CC) -c $(CFLAGS) $(XCFLAGS) -DDEFAULTFONTDIR=\"$(DEFAULTFONTDIR)\" \
		-DDEFAULTFONTFILE=\"$(DEFAULTFONTFILE)\" -o $*.o $<

all: $(BINS)

figlet: $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS)

chkfont: chkfont.o
	$(LD) $(LDFLAGS) -o $@ chkfont.o

clean:
	rm -f *.o *~ core figlet chkfont

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man6
	mkdir -p $(DESTDIR)$(DEFAULTFONTDIR)
	cp $(BINS) $(DESTDIR)$(BINDIR)
	cp $(MANUAL) $(DESTDIR)$(MANDIR)/man6
	cp fonts/*.flf $(DESTDIR)$(DEFAULTFONTDIR)
	cp fonts/*.flc $(DESTDIR)$(DEFAULTFONTDIR)

dist:
	rm -Rf $(DIST) $(DIST).tar.gz
	mkdir $(DIST)/
	cp $(DFILES) $(DIST)/
	mkdir $(DIST)/fonts
	cp fonts/*.fl[fc] $(DIST)/fonts
	mkdir $(DIST)/tests
	cp tests/*txt tests/emboss.tlf $(DIST)/tests
	tar cvf - $(DIST) | gzip -9c > $(DIST).tar.gz
	rm -Rf $(DIST)
	tar xf $(DIST).tar.gz
	(cd $(DIST); make all check vercheck)
	@rm -Rf $(DIST)
	@echo
	@ls -l $(DIST).tar.gz

check:
	@echo "Run tests in `pwd`"
	@./run-tests.sh fonts
	@echo

vercheck:
	@printf "Infocode: "; ./figlet -I1
	@./figlet -v|sed -n '/Version/s/.*\(Version\)/\1/p'
	@printf "README: "; head -1 < README|sed 's/.*) //'
	@printf "FAQ: "; grep latest FAQ|sed 's/ and can.*//'
	@grep -h "^\.TH" *.6

$(OBJS) chkfont.o getopt.o: Makefile
chkfont.o: chkfont.c
crc.o: crc.c crc.h
figlet.o: figlet.c zipio.h
getopt.o: getopt.c
inflate.o: inflate.c inflate.h
zipio.o: zipio.c zipio.h inflate.h crc.h

=== debian/changelog ===
phabricator (0~git20200925-1) unstable; urgency=medium

  * New upstream release
    - Fixes the warning with php/implode (Closes: #970904)
  * Update compat to 10

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 25 Sep 2020 09:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 #          po-debconf,
 #          ucf,
 #          ${misc:Depends}
-# Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server 
+# Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server
 # Suggests: python, npm
 # Description: Software engineering platform
 #  Phabricator is an open source collection of web applications which make it

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
-	dh $@ -Nphabricator
+	dh $@
 
 override_dh_clean:
 	debconf-updatepo
@@ -35,9 +35,10 @@
 	echo "# Copying git revision number..."
 	cd phabricator-$(VER); echo "based on git revision $$(git log -n1 --format=%H)." > phabricator/conf/local/VERSION; cd ..
 	echo "# Cleaning-up..."
-	$(RM) -r -v libphutil-$(VER)/src/parser/xhpast/bin/xhpast.exe
+	$(RM) -r -v arcanist-$(VER)/src/parser/xhpast/bin/xhpast.exe
 	$(RM) -r -v arcanist-$(VER)/bin/arc.bat
-	@mv arcanist-$(VER)/resources/shell/bash-completion arcanist-$(VER)/resources/shell/arcanist.bash-completion
+	@mv arcanist-$(VER)/support/shell/hooks/bash-completion.sh arcanist-$(VER)/support/shell/hooks/arcanist.bash-completion
+	chmod -x arcanist-$(VER)/support/unit/sleep.php
 	cd phabricator-$(VER)/phabricator/ && \
 	$(RM) -r -v externals/twilio-php/docs \
 	    externals/wordlist \

=== debian/watch ===
#There is no release maintained upstream so this file is empty

## phabricator 0~git20220903

=== support/xhpast/Makefile ===
BISONFLAGS = --verbose --name-prefix xhpast
CPPFLAGS   = -fPIC -Wall
FLEXFLAGS  = -CFr
XHPAST_VERSION := $(shell ./bin/xhpast-generate-version.php)

ifdef DEBUG
	BISONFLAGS += --debug
	CPPFLAGS   += -ggdb -DDEBUG
	FLEXFLAGS  += --debug
else
	CPPFLAGS  += -O3 -minline-all-stringops
endif

ifdef PROFILE
	CPPFLAGS += -pg
endif

ifdef STATIC
	CPPFLAGS += -static
endif

ifdef MSYSTEM
	CPPFLAGS += -static-libgcc -static-libstdc++
endif

ROOT = ../../src/parser/xhpast

.PHONY: all
all: xhpast

clean:
	rm -f xhpast parser.yacc.output libxhpast.a *.o

cleanall: clean
	rm -f scanner.lex.hpp scanner.lex.cpp parser.yacc.hpp parser.yacc.cpp
	rm -f node_names.hpp parser_nodes.php

.PHONY: install
install: xhpast
	cp xhpast $(ROOT)/bin/xhpast

.PHONY: parser scanner

parser: parser.yacc.hpp parser.yacc.cpp
scanner: scanner.lex.hpp scanner.lex.cpp

%.lex.hpp %.lex.cpp: %.l
ifndef SKIP_SCANNER
	flex $(FLEXFLAGS) --header-file=$*.lex.hpp --outfile=$*.lex.cpp $<
	@echo '/* @gen''er''ated */' >> $*.lex.hpp
	@echo '/* @gen''er''ated */' >> $*.lex.cpp
else
	touch $*.lex.hpp $*.lex.cpp
endif

%.yacc.hpp %.yacc.cpp: %.y
ifndef SKIP_PARSER
	bison $(BISONFLAGS) --defines=$*.yacc.hpp --output=$*.yacc.cpp $<
	@echo '/* @gen''er''ated */' >> $*.yacc.hpp
	@echo '/* @gen''er''ated */' >> $*.yacc.cpp
else
	touch $*.yacc.hpp $*.yacc.cpp
endif

%.o: %.cpp
	$(CXX) -c $(CPPFLAGS) -o $@ $<

node_names.hpp parser_nodes.php: bin/xhpast-generate-nodes.php
	php -f $<

parser.yacc.o: scanner.lex.hpp
scanner.lex.o: parser.yacc.hpp node_names.hpp scanner.lex.hpp

libxhpast.a: scanner.lex.o parser.yacc.o
	$(AR) -crs $@ $^

xhpast: xhpast.cpp libxhpast.a
	$(CXX) $(CPPFLAGS) -D XHPAST_VERSION='"$(XHPAST_VERSION)"' -o $@ $^

=== debian/changelog ===
phabricator (0~git20220903-2) unstable; urgency=medium

  * Support invocation as "arcanist". Closes: #1020840

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 07 Oct 2022 20:06:13 +0200

phabricator (0~git20220903-1) unstable; urgency=medium

  * get-orig-source: Update github URLs to https, make reproducible
  * Update to latest commits upstream. Closes: #1003463
  * Revert "Provide the phabrication notification service "aphlict" as
    a separate package"
  * Install the arc program as arcanist. Closes: #919697

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 05 Sep 2022 20:02:43 +0200

phabricator (0~git20200925-3) experimental; urgency=medium

  * Upload to experimental
  * phabricator package:
    - Install more depencencies
    - postinst: Poke PHP and mysql configuration
    - Provide the phabrication notification service "aphlict" as a
      separate package

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 07 Jun 2021 13:58:06 +0200

phabricator (0~git20200925-2) experimental; urgency=medium

  * Upload to experimental
  * Re-enable phabricator package. Closes: #942529
  * Add phabricator patches from Nicolas Dandrimont, thanks
  * Add myself as uploader

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 26 Jan 2021 18:28:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Sylvestre Ledru <sylvestre@debian.org>
 Uploaders:
- Richard Sellam <richard.sellam@orvidia.fr>
+ Christoph Biedl <debian.axhn@manchmal.in-ulm.de>,
 Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 4.1.4
 Homepage: http://phabricator.org/
@@ -13,7 +13,7 @@
 Package: libphutil
 Architecture: all
 Depends: php-xml, ${misc:Depends}
-Recommends: php-cli | php5-cli
+Recommends: php-cli
 Description: Shared library for Arcanist and Phabricator
  libphutil (pronounced as "lib-futile", like the English word futile)
  is principally the shared library for Arcanist and Phabricator,
@@ -23,7 +23,7 @@
 
 Package: arcanist
 Architecture: all
-Depends: libphutil (= ${source:Version}), php-cli | php5-cli, php-curl | php5-curl, ${misc:Depends},
+Depends: libphutil (= ${source:Version}), php-cli, php-curl, ${misc:Depends},
  php-xml
 Conflicts: arc
 Suggests: python
@@ -34,20 +34,33 @@
 
 # Package: phabricator
 # Architecture: all
-# Depends: arcanist,
+# Depends: ${misc:Depends},
+#          arcanist,
+#          ca-certificates,
+#          crudini,
 #          dbconfig-common (>= 1.8.8),
 #          fonts-font-awesome,
+#          imagemagick,
 #          jq,
-#          libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
+#          libapache2-mod-php | php-fpm,
 #          libjs-d3,
 #          libphutil (= ${source:Version}),
-#          php5-cli,
-#          php5-curl,
-#          php5-mysql | php5-mysqli | php5-mysqlnd,
+#          php-apcu,
+#          php-cli,
+#          php-curl,
+#          php-gd,
+#          php-mailparse,
+#          php-mbstring,
+#          php-mysql | php-mysqli | php-mysqlnd,
+#          php-zip,
+#          php,
 #          po-debconf,
+#          python3-pygments,
+#          python3-pkg-resources,
 #          ucf,
-#          ${misc:Depends}
-# Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server
+# Recommends:
+#    apache2 (>= 2.2.7) | lighttpd | nginx | httpd,
+#    mariadb-server | default-mysql-server | virtual-mysql-server,
 # Suggests: python, npm
 # Description: Software engineering platform
 #  Phabricator is an open source collection of web applications which make it

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=.gitignore:LICENSE

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = "phabricator"
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | sed -E -e 's/-[0-9]+//')
DTYPE =
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@

override_dh_clean:
	debconf-updatepo
	dh_clean

UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" $(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
get-orig-source: $(info I: UDATE=$(UDATE))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	debian/get-orig-source $(VER)

generate-manpage: debian/doc/arc.1

debian/doc/arc.pod: debian/doc/arc.cat1
	debian/cat2pod < $< > $@

debian/doc/arc.1: debian/doc/arc.pod
	pod2man -r "" -c "User Commands" $< $@

.PHONY: override_dh_clean get-orig-source generate-manpage
